Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jms
Interface HeuristicMessageProducer

All Superinterfaces:
  javax.jms.MessageProducer

    public interface HeuristicMessageProducer

extends javax.jms.MessageProducer

A message producer with support for heuristic information. This information is kept in the logs and can help to provide details in case of indoubt or heuristic XA transactions during receive.

Method Summary
`void` | `send(javax.jms.Destination dest, javax.jms.Message msg, int deliveryMode, int priority, long timeToLive, String heuristicMessage)` Sends a message with the given parameters and a given heuristic message for resolving indoubt cases.
`void` | `send(javax.jms.Destination dest, javax.jms.Message msg, String heuristicMessage)` Sends a message to a destination with a given heuristic message for resolving indoubt cases.
`void` | `send(javax.jms.Message msg, int deliveryMode, int priority, long timeToLive, String heuristicMessage)` Sends a message with the given parameters and a given heuristic message for resolving indoubt cases.
`void` | `send(javax.jms.Message msg, String heuristicMessage)` Sends a message with a given heuristic message for resolving indoubt cases.

Methods inherited from interface javax.jms.MessageProducer
`close, getDeliveryMode, getDestination, getDisableMessageID, getDisableMessageTimestamp, getPriority, getTimeToLive, send, send, send, send, setDeliveryMode, setDisableMessageID, setDisableMessageTimestamp, setPriority, setTimeToLive`

Method Detail

### send

    void send(javax.jms.Message msg,
              String heuristicMessage)
              throws javax.jms.JMSException

  Sends a message with a given heuristic message for resolving indoubt cases.

  Parameters:
    `msg` -
    `heuristicMessage` -
  Throws:
    `javax.jms.JMSException`

### send

    void send(javax.jms.Destination dest,
              javax.jms.Message msg,
              String heuristicMessage)
              throws javax.jms.JMSException

  Sends a message to a destination with a given heuristic message for resolving indoubt cases.

  Parameters:
    `dest` -
    `msg` -
    `heuristicMessage` -
  Throws:
    `javax.jms.JMSException`

### send

    void send(javax.jms.Message msg,
              int deliveryMode,
              int priority,
              long timeToLive,
              String heuristicMessage)
              throws javax.jms.JMSException

  Sends a message with the given parameters and a given heuristic message for resolving indoubt cases.

  Parameters:
    `msg` -
    `deliveryMode` -
    `priority` -
    `timeToLive` -
    `heuristicMessage` -
  Throws:
    `javax.jms.JMSException`

### send

    void send(javax.jms.Destination dest,
              javax.jms.Message msg,
              int deliveryMode,
              int priority,
              long timeToLive,
              String heuristicMessage)
              throws javax.jms.JMSException

  Sends a message with the given parameters and a given heuristic message for resolving indoubt cases.

  Parameters:
    `dest` -
    `msg` -
    `deliveryMode` -
    `priority` -
    `timeToLive` -
    `heuristicMessage` -
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.